Bug 233850 - lang/php73: DTRACE option on PowerPC causes ld(1) link probe failures; Relocations in generic ELF
Summary: lang/php73: DTRACE option on PowerPC causes ld(1) link probe failures; Reloca...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-07 14:51 UTC by Chip Cuccio
Modified: 2019-01-24 09:03 UTC (History)
2 users (show)

See Also:
tz: maintainer-feedback+


Attachments
Makefile patch to exclude DTRACE option from powerpc arch. (447 bytes, patch)
2018-12-07 14:51 UTC, Chip Cuccio
no flags Details | Diff
PHP73 build log (218.43 KB, text/plain)
2019-01-08 20:19 UTC, Chip Cuccio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chip Cuccio 2018-12-07 14:51:30 UTC
Created attachment 199935 [details]
Makefile patch to exclude DTRACE option from powerpc arch.

Same issue as (closed) bug 226302. By adding;

OPTIONS_EXCLUDE_powerpc=        DTRACE

...to Makefile resolves the issue. Patch attached.
Comment 1 Torsten Zuehlsdorff freebsd_committer 2018-12-19 08:37:20 UTC
Can you please provide a look with powerpc failing? If so i will happily commit it :)
Comment 2 Chip Cuccio 2019-01-08 20:19:48 UTC
Created attachment 200933 [details]
PHP73 build log

(In reply to Torsten Zuehlsdorff from comment #1)

Apologies; I didn't quite understand your comment. I assume you are asking for a build log.
I have attached it. Here are the make options as well:

# Options for php73-7.3.0
_OPTIONS_READ=php73-7.3.0
_FILE_COMPLETE_OPTIONS_LIST=CLI CGI FPM EMBED PHPDBG DEBUG DTRACE IPV6 LINKTHR ZTS
OPTIONS_FILE_SET+=CLI
OPTIONS_FILE_SET+=CGI
OPTIONS_FILE_SET+=FPM
OPTIONS_FILE_SET+=EMBED
OPTIONS_FILE_UNSET+=PHPDBG
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_SET+=DTRACE
OPTIONS_FILE_SET+=IPV6
OPTIONS_FILE_SET+=LINKTHR
OPTIONS_FILE_UNSET+=ZTS
Comment 3 commit-hook freebsd_committer 2019-01-23 10:49:35 UTC
A commit references this bug:

Author: tz
Date: Wed Jan 23 10:48:58 UTC 2019
New revision: 491031
URL: https://svnweb.freebsd.org/changeset/ports/491031

Log:
  lang/php73: disable DTRACE option on PowerPC

  DTRACE causes ld(1) link probe failures and therefore fails the build.

  PR:           233850
  Submitted by: Chip Cuccio <chip.cuccio@gmail.com>
  MFH:		  2019Q1

Changes:
  head/lang/php73/Makefile
Comment 4 Torsten Zuehlsdorff freebsd_committer 2019-01-23 10:49:57 UTC
Thank you Chip, the build log was what i asked for.

I see the problem and the patch looks fine. Its committed now. :)
Comment 5 commit-hook freebsd_committer 2019-01-24 09:02:37 UTC
A commit references this bug:

Author: tz
Date: Thu Jan 24 09:02:31 UTC 2019
New revision: 491082
URL: https://svnweb.freebsd.org/changeset/ports/491082

Log:
  MFH: r491031

  lang/php73: disable DTRACE option on PowerPC

  DTRACE causes ld(1) link probe failures and therefore fails the build.

  PR:           233850
  Submitted by: Chip Cuccio <chip.cuccio@gmail.com>

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/lang/php73/Makefile
Comment 6 Torsten Zuehlsdorff freebsd_committer 2019-01-24 09:03:15 UTC
Merged into quarterly. Thanks for the PR!

Greetings,
Torsten